org.eclipse.jetty.plus.jndi

## Class Resource

- java.lang.Object
- - org.eclipse.jetty.plus.jndi.NamingEntry
  - - org.eclipse.jetty.plus.jndi.Resource

-     public class Resource
      extends NamingEntry

  Resource

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.plus.jndi.NamingEntry

      `__contextName, _jndiName, _namingEntryNameString, _objectNameString, _scope`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Resource(Object scope, String jndiName, Object objToBind)`
    `Resource(String jndiName, Object objToBind)`

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.jetty.plus.jndi.NamingEntry

      `bindToENC, getJndiName, getJndiNameInScope, release, save, toString, unbindENC`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Resource

          public Resource(Object scope,
                  String jndiName,
                  Object objToBind)
                   throws NamingException

      Throws:
        `NamingException`

    - #### Resource

          public Resource(String jndiName,
                  Object objToBind)
                   throws NamingException

      Parameters:
        `jndiName` -
        `objToBind` -
      Throws:
        `NamingException`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.